Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.revring.ai/v1/test-suites/{id}/runs/{runId} \ --header 'x-api-key: <api-key>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "testSuiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "totalTests": 123, "passedTests": 123, "failedTests": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z", "attempts": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "testCaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "testCaseName": "<string>", "attemptNumber": 123, "createdAt": "2023-11-07T05:31:56Z", "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "inboundCallId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "reasoning": "<string>", "transcript": [ {} ], "startedAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z" } ] } }
Retrieve a specific test run with its results
API key for authentication. Generate API keys from the RevRing dashboard.
Test suite ID
Test run ID
Test run details
A test run execution
Show child attributes